<?php
/*
 * masonry style four
*/
?>
<div class="swpisotopefilter">
    <div class="isotope-filters swp-isotope-btn text-lg-left text-center">
        <?php if ($settings['hide_filter'] != 'yes') : ?>
            <button class="button active" data-filter="*"><?php echo esc_html__('All', 'swp-portfolio'); ?></button>
            <?php
            if (is_array($settings['select_cat'])) :
                foreach ($settings['select_cat'] as $term) :
            ?>
                    <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', swp_portfolio_get_cat_slug($term))); ?>"><?php echo esc_html(swp_get_cat_name($term)); ?></button>
                    <?php endforeach;
            else :
                $taxonomy = 'portfolio-category';
                $terms = get_terms($taxonomy); // Get all terms of a taxonomy
                if ($terms && !is_wp_error($terms)) :
                    foreach ($terms as $term) { ?>
                        <button class="button" data-filter=".<?php echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)); ?>"><?php echo esc_html($term->name); ?></button>
        <?php }
                endif;
            endif;
        endif;
        ?>
    </div>
    <div class="swp-section">
        <div class="swp-isotope swp-row swp-no-gutters">
            <div class="swp-sizer col-1"></div>
            <?php
            if ($posts_query->have_posts()) :
                while ($posts_query->have_posts()) : $posts_query->the_post();
                    $swp_meta = get_post_meta(get_the_id(), 'swp_portfolio_meta');
                    $src      = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full', false, '');
                    $terms = get_the_terms(get_the_ID(), 'portfolio-category');
            ?>
                    <div class="swp-item swp-col-lg-3 swp-col-sm-6 <?php foreach ($terms as $term) {
                                                                        echo strtolower(preg_replace('/[^a-zA-Z]+/', '-', $term->slug)) . ' ';
                                                                    } ?>">
                        <div class="swp-single-inner style-12">
                            <div class="icon-img">
                                <?php
                                if (has_post_thumbnail()) :
                                    the_post_thumbnail('swp-portfolio-masonry-four');
                                endif;
                                ?>
                                <?php if ('yes' == $settings['enable_icon']) : ?>
                                    <div class="swp-readmore-arrow-wrap">
                                        <?php if ('yes' == $settings['video_icon']) : ?>
                                            <a class="swp-readmore-arrow <?php echo esc_attr(($settings['disable_popup'] != 'yes' ? 'swp-video-play-btn' : '')); ?>" href="<?php echo esc_url($swp_meta[0]['video-id']); ?>" data-effect="mfp-zoom-in"><i class="fas fa-play"></i></a>
                                        <?php endif; ?>

                                        <?php if ('yes' == $settings['image_icon']) : ?>
                                            <a class="swp-readmore-arrow swp-image-popup" href="<?php echo esc_url($src[0]); ?>"><i class="fas fa-plus"></i></a>
                                        <?php endif; ?>

                                        <?php if ('yes' == $settings['url_icon']) : ?>
                                            <?php if ($settings['portfolio-url'] == 'default') : ?>
                                                <a class="swp-readmore-arrow" href="<?php the_permalink(); ?>"><i class="fas fa-angle-double-right"></i></a>
                                            <?php else : ?>
                                                <a class="swp-readmore-arrow" target="_blank" href="<?php echo esc_url($swp_meta[0]['url']); ?>"><i class="fas fa-angle-double-right"></i></a>
                                        <?php endif;
                                        endif; ?>

                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
            <?php endwhile;
                wp_reset_postdata();
            endif; ?>
        </div>
    </div>
    <?php include SWP_PORTFOLIO_ELEMENTOR . '/templates/isotope-filter-js.php'; ?>
</div>